izmax1.f(3)

NAME
izmax1.f -

SYNOPSIS

  Functions/Subroutines
INTEGER function IZMAX1 (N, CX, INCX)
IZMAX1

Function/Subroutine Documentation

  INTEGER function IZMAX1 (INTEGERN, COMPLEX*16, dimension( * )CX, INTEGERINCX)

IZMAX1

Purpose:

     IZMAX1 finds the index of the element whose real part has maximum
     absolute value.
     Based on IZAMAX from Level 1 BLAS.
     The change is to use the 'genuine' absolute value.

Parameters:
    N

              N is INTEGER
              The number of elements in the vector CX.

    CX

              CX is COMPLEX*16 array, dimension (N)
              The vector whose elements will be summed.

    INCX

              INCX is INTEGER
              The spacing between successive values of CX.  INCX >= 1.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Contributors:
    Nick Higham for use with ZLACON'.

Definition at line 82 of file izmax1.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.